<template>
  <h1 :class="[size, fontWeight(), 'text-black-default mb-0']">
    <slot></slot>
  </h1>
</template>

<script>
export default {
  name: 'TH1',
  props: {
    size: {
      type: String,
      default: 'text-4xl',
    },
    weight: {
      type: String,
      default: 'regular',
    },
  },
  methods: {
    fontWeight() {
      if (this.weight === 'bold') {
        return 'font-bold'
      }

      if (this.weight === 'medium') {
        return 'font-medium'
      }

      return ''
    },
  },
}
</script>
